define({"74":{y:0,u:"../concepts/Planning_your_Monitoring_Strategy.htm",l:-1,t:"Planning your Monitoring Strategy",i:0.000639100963419458,a:"This chapter describes how to analyze situations on your network that could be monitored using TIBCO Hawk software. It also explains how to translate monitoring requirements into elements of a TIBCO Hawk rulebase. Overview Define Problem Areas Translate Requirements Formulate Rules"},"75":{y:0,u:"../concepts/Overview_2.htm",l:-1,t:"Overview",i:0.000774911136191252,a:"This chapter helps you identify the ways TIBCO Hawk software can help monitor and manage your distributed systems and applications. To create a monitoring strategy, you need to identify the potential sources of problems and analyze how they can be prevented. Most monitoring tasks can be automated, ..."},"76":{y:0,u:"../concepts/Define_Problem_Areas.htm",l:-1,t:"Define Problem Areas",i:0.000774911136191252,a:"The first step in any monitoring strategy is to consider issues with resource contention or other problems that have occurred in the past. Make a list of questions you would like to answer about your network systems and applications, problems you would like to solve, and situations you would like to ..."},"77":{y:0,u:"../concepts/Define_Information_Requirements.htm",l:-1,t:"Define Information Requirements",i:0.000639100963419458,a:"For each item you choose to focus on, define the information that is required to answer the question, solve the problem, or avoid the situation. For example, to gain more control over processes that slow the system, you might track the number of processes are running on each server, or measure ..."},"78":{y:0,u:"../concepts/Identify_Corrective_Actions.htm",l:-1,t:"Identify Corrective Actions",i:0.000639100963419458,a:"Identify Corrective Actions Identify actions that could fix or avoid the problems you defined. If the problem is slow servers, for example, a corrective action might be “Terminate redundant or low-priority processes.” "},"79":{y:0,u:"../concepts/Map_Information_Requirements.htm",l:-1,t:"Map Information Requirements",i:0.000639100963419458,a:"The next step is to map information requirements to microagent methods. Evaluate TIBCO Hawk microagent methods and their results, both platform-independent and platform-specific. Consider methods that return data: IMPACT_INFO and IMPACT_ACTION_INFO. Often analogous methods for each operating system ..."},"80":{y:0,u:"../concepts/Map_Action_Requirements.htm",l:-1,t:"Map Action Requirements",i:0.000639100963419458,a:"After information requirements are fulfilled by microagent methods, you map action requirements to microagent methods. Consider TIBCO Hawk microagent methods of type IMPACT_ACTION or IMPACT_ACTION_INFO to learn about available actions. If possible, map each required action to a microagent method.  ..."},"81":{y:0,u:"../concepts/Refine_Corrective_Actions.htm",l:-1,t:"Refine Corrective Actions",i:0.000639100963419458,a:"Define timing and circumstances for corrective actions. Define when a question needs to be answered or a problem solved. How often and under what circumstances does a solution need to occur? What are the potential causes of the problem? How quickly does the information change? Does it build over ..."},"82":{y:0,u:"../concepts/Translate_Requirements.htm",l:-1,t:"Translate Requirements",i:0.000774911136191252,a:"After monitoring requirements are defined, you can translate them into TIBCO Hawk terms. For each item, create a mapping table with a structure similar to the following table. To find TIBCO Hawk equivalents, refer to the TIBCO Hawk Methods Reference, and consult task and action tables in  Monitoring ..."},"83":{y:0,u:"../concepts/Transform_to_Rule_Elements.htm",l:-1,t:"Transform to Rule Elements",i:0.000639100963419458,a:"Transform the table entries into TIBCO Hawk rule elements using the following equivalents: Information — a microagent, method and arguments in a rule’s data source How often — a data delivery interval in a rule’s data source Conditions — each test in a rule Actions — each test’s actions Resolution — ..."},"84":{y:0,u:"../concepts/Plan_Rulebases.htm",l:-1,t:"Plan Rulebases",i:0.000639100963419458,a:"Analyze your monitoring rules, tests and actions, then group them into sets based on function or location. For example, group together rules that: Monitor a particular application Perform a particular system function, such as process management Monitor separate operating systems into one set for ..."},"85":{y:0,u:"../concepts/Formulate_Rules.htm",l:-1,t:"Formulate Rules",i:0.000774911136191252,a:"Formulate Rules With requirements defined and translated into TIBCO Hawk equivalents, you can encapsulate monitoring logic in TIBCO Hawk rulebases."},"86":{y:0,u:"../concepts/Build_and_Test_Rules.htm",l:-1,t:"Build and Test Rules",i:0.000639100963419458,a:"In TIBCO Hawk Console, create a new rulebase and then build each rule with a data source, tests and actions. If overlap exists between your requirements and default TIBCO Hawk rulebases, try copying and modifying an existing rulebase. Consider simulating the situation in a test, such as starting ..."},"87":{y:0,u:"../concepts/Refine_Rules.htm",l:-1,t:"Refine Rules",i:0.000639100963419458,a:"After rulebases are built and performing roughly as designed, you can fine-tune them as follows:  Increase rule efficiency by considering ways to faster and better respond to monitored conditions. Advanced testing and action options might be more efficient. Consider using different metrics, or ..."},"88":{y:0,u:"../concepts/Use_Alternate_Methods.htm",l:-1,t:"Use Alternate Methods",i:0.000639100963419458,a:"You might already have developed scripts or executable programs that monitor critical functions. You can incorporate these programs into your TIBCO Hawk environment using the execute, executeForNumber() and executeForString() methods of the Custom microagent.  Examine your current monitoring ..."},"89":{y:0,u:"../install-config/TIBCO_Hawk_Installation.htm",l:-1,t:"TIBCO Hawk Installation",i:0.000639100963419458,a:"This chapter provides the details about TIBCO Hawk product installation, along with various requirements, and different installation modes. Also, it provides additional precautions you may have to ensure in order to get seamless functioning of TIBCO Hawk system.  Installer Overview Installation ..."},"90":{y:0,u:"../install-config/Installer_Overview.htm",l:-1,t:"Installer Overview",i:0.000716706776431912,a:"If this is the first TIBCO software product you are installing on the system, you can specify the installation directory where all TIBCO products are to be installed. This directory is referred in this documentation as TIBCO_HOME. On Microsoft Windows platforms, the default TIBCO_HOME is C:\\tibco. ..."},"91":{y:0,u:"../install-config/Installing_TIBCO_Hawk_Over_Previous_.htm",l:-1,t:"Installing TIBCO Hawk Over Previous Releases",i:0.000639100963419458,a:"TIBCO Hawk Installation enables TIBCO Hawk to be installed in multiple TIBCO_HOME. During installation, you can select the existing TIBCO_HOME or create a new TIBCO_HOME. If the existing TIBCO_HOME is selected, it may have other products installed including TIBCO Hawk. If there is any previous TIBCO ..."},"92":{y:0,u:"../install-config/Installation_Prerequisites.htm",l:-1,t:"Installation Prerequisites",i:0.000716706776431912,a:"If you plan to install in an existing installation environment, it is recommended to stop all the processes that are using Java from TIBCO_HOME.  Before you run TIBCO Universal Installer on your Windows or UNIX system, you must login as a user with appropriate permissions, and your system must meet ..."},"93":{y:0,u:"../install-config/Hardware_Requirements.htm",l:-1,t:"Hardware Requirements",i:0.000639100963419458,a:"TIBCO Hawk installation requires minimum of 512 MB system memory (RAM) and about 500 MB of free disk space. Make sure you have adequate system memory and disk space before proceeding with TIBCO Hawk installation.  The Universal Installer requires disk space in the temporary directory before ..."},"94":{y:0,u:"../install-config/Software_Requirements.htm",l:-1,t:"Software Requirements",i:0.000639100963419458,a:"Refer to the following table for software requirements for a well-functioning TIBCO Hawk system. TIBCO Hawk installation includes some of the components, although they may be optional. Refer to the Readme file for details about the supported versions of various third-party software components."},"95":{y:0,u:"../install-config/Preparing_for_Installation.htm",l:-1,t:"Preparing for Installation",i:0.000716706776431912,a:"Before you start with installation, make sure your system meets all prerequisites, it is recommended that you decide on the installation environment name and folder, and download and extract the installation package. TIBCO_HOME is the top-level installation directory for TIBCO products. TIBCO_HOME ..."},"96":{y:0,u:"../install-config/Installation_Environment.htm",l:-1,t:"Installation Environment",i:0.000747749101636894,a:"An installation environment isolates product installations. A product installed into an installation environment does not access components in other installation environments. An installation environment identifies the top level installation directory in which the product is installed. "},"97":{y:0,u:"../install-config/Understanding_Installation_Profiles.htm",l:-1,t:"Understanding Installation Profiles",i:0.00233673063701773,a:"Different installation components are associated with different functions. By using the installer, you can select the components during the installation. During custom installation, you can choose to install the following Hawk components. The installation components are grouped into different ..."},"98":{y:0,u:"../install-config/Installation_Modes.htm",l:-1,t:"Installation Modes",i:0.000716706776431912,a:"TIBCO Universal Installer provides the following three modes of installation for TIBCO Hawk. When installing TIBCO Hawk you also have the option to install the Admin Agent, which exposes TIBCO Hawk to TIBCO Enterprise Administrator, along with the installation of TIBCO Hawk Components. "},"99":{y:0,u:"../install-config/GUI_Mode.htm",l:-1,t:"GUI Mode",i:0.00118234165450664,a:"GUI Mode GUI mode performs the installation in an interactive graphical interface. The installer prompts you for values specific to your environment. "},"100":{y:0,u:"../install-config/Installing_the_Hawk_Components_and_H.htm",l:-1,t:"Installing the Hawk Components and Hawk Admin Agent",i:0.000639100963419458,a:"Download the package. Extract the contents of the package to a temporary directory. Navigate to the temporary directory. Run TIBCO Universal Installer. You can do so in one of the following ways: Double-click the  TIBCOUniveralsalInstaller icon. On the command prompt, provide the absolute path of ..."},"101":{y:0,u:"../install-config/Installing_the_Admin_Agent_after_Ins.htm",l:-1,t:"Installing the Admin Agent after Installing the TIBCO Hawk Components",i:0.000639100963419458,a:"Navigate to the temporary directory where the installation package was extracted and re-run TIBCOUniversalInstaller. You can do so in one of the following ways: Double-click the installer icon. On the command prompt, provide the absolute path of the installer file without specifying any options. The ..."},"102":{y:0,u:"../install-config/Console_Mode.htm",l:-1,t:"Console Mode",i:0.000639100963419458,a:"Console mode allows you to install the software from a command window or terminal emulator. The installer prompts you for values.  To install this product in console mode: Download the package. Extract the contents of the package to a temporary directory. Using a console window, navigate to the ..."},"103":{y:0,u:"../install-config/Silent_Mode.htm",l:-1,t:"Silent Mode",i:0.000639100963419458,a:"In silent mode, the Universal Installer does not prompt for any inputs during installation. Instead, the inputs are read from a configuration file that can be provided as a command-line parameter. If no value is specified, the installer uses the default TIBCOUniversalInstaller_hawk_\u003cversion\u003e.silent ..."},"104":{y:0,u:"../install-config/Installing_the_Hawk_Components_and_A.htm",l:-1,t:"Installing the Hawk Components and Admin Agent",i:0.000910721308963047,a:"Download the package. Extract the contents of the package to a temporary directory. Using a console window, navigate to the temporary directory. Make a copy of the TIBCOUniversalInstaller_hawk_\u003cversion\u003e.silent file and rename the original file. Using a text editor, open the copied file and update ..."},"105":{y:0,u:"../install-config/Installing_Admin_Agent_After_Install.htm",l:-1,t:"Installing Admin Agent After Installing the Hawk Components",i:0.000639100963419458,a:"Edit the same .silent file which was used for Hawk components installation. See  Installing the Hawk Components and Admin Agent . Using a text editor, open the copied file and update the install location, ENV_NAME, and features to install as follows: Update ENV_NAME. Admin Agent must use the same ..."},"106":{y:0,u:"../install-config/Post_installation_Tasks.htm",l:-1,t:"Post installation Tasks",i:0.000716706776431912,a:"External JRE For JVM microagents: If you have specified external JRE when installing TIBCO Hawk, tools.jar in the .hma file must point to a JDK installation location. If you plan to use a JRE version other than the one supplied with TIBCO Hawk, make sure that the correct values are set for ..."},"107":{y:0,u:"../install-config/Uninstallation_Procedure.htm",l:-1,t:"Uninstallation Procedure",i:0.000716706776431912,a:"This section describes how to uninstall this product in the GUI mode and the Console mode. The uninstaller removes all files that were installed as a part of TIBCO Hawk installation, even if those files were modified by the user or the application. Make sure you have a backup of user-modified files ..."},"108":{y:0,u:"../install-config/GUI_Mode_1.htm",l:-1,t:"GUI Mode",i:0.000639100963419458,a:"To uninstall this product using Universal Installer GUI screens: Shut down all running TIBCO Hawk applications. Navigate to TIBCO_HOME/tools/universal_installer and run TIBCOUniversalInstaller. In the TIBCO Installation Manager screen, perform the following steps: Select the Uninstall Products from ..."},"109":{y:0,u:"../install-config/Console_Mode_1.htm",l:-1,t:"Console Mode",i:0.000639100963419458,a:"To uninstall this product in Console mode, complete the following steps: Using a command window, navigate to the TIBCO_HOME/tools/universal_installer directory. Type the following command at the command prompt: TIBCOUniversalInstaller.exe  -console Complete the uninstallation by responding to the ..."},"110":{y:0,u:"../install-config/Getting_Started_with_TIBCO_Hawk__Qui.htm",l:-1,t:"Getting Started with TIBCO Hawk (Quick Start)",i:0.000716706776431912,a:"After successful installation of TIBCO Hawk, follow these steps: Open TIBCO_HOME and ensure that the following folders exist under TIBCO _HOME: TIBCO_HOME/hawk/\u003cversion\u003e TIBCO_HOME/tibcojre64 On Windows:   Start the following TIBCO Hawk components: Start Hawk Cluster Manager by using one of the ..."},"111":{y:0,u:"../install-config/TIBCO_Hawk_Component_Configurations.htm",l:-1,t:"TIBCO Hawk Component Configurations",i:0.000639100963419458,a:"This chapter provides information about various TIBCO Hawk components and how to configure them. The various components within TIBCO Hawk installation are: Hawk Agent Hawk Cluster Manager Hawk Console HMA (native Hawk Microagent) Hawk Event Service There are a few configuration items that are common ..."},"112":{y:0,u:"../install-config/Transport_Mode_Configuration.htm",l:-1,t:"Transport Mode Configuration",i:0.000716706776431912,a:"Different transport modes are available to be configured as a means of communication between Hawk Agent and HMA, and Hawk Agent and Hawk Console, and they are: TIBCO Rendezvous (RV) TCP Transport for TIBCO Hawk TIBCO Enterprise Message Service (EMS) TIBCO Hawk installation has TCP Transport for ..."},"113":{y:0,u:"../install-config/A_Single__Location_for_Various_TIBCO.htm",l:-1,t:"A Single TIBCO_HOME Location for Various TIBCO Products",i:0.000639100963419458,a:"If you are using or planning to use a single TIBCO_HOME for all TIBCO Rendezvous, TIBCO EMS, and TIBCO Hawk components, read this section. Otherwise, you might skip to the section  Different TIBCO_HOME Locations for Various TIBCO Products . Using pre-installed and pre-configured existing transports ..."},"114":{y:0,u:"../install-config/Different__Locations_for_Various_TIB.htm",l:-1,t:"Different TIBCO_HOME Locations for Various TIBCO Products",i:0.00118234165450664,a:"If you are using or planning on using a different TIBCO_HOME for all TIBCO Rendezvous, TIBCO Enterprise Message Service, and TIBCO Hawk components, read this section. Otherwise, skip to the next section. Since TIBCO_HOME for Hawk is different from that of TIBCO Rendezvous and TIBCO Enterprise ..."},"115":{y:0,u:"../install-config/TIBCO_Rendezvous_Transport.htm",l:-1,t:"TIBCO Rendezvous Transport",i:0.000747749101636894,a:"TIBCO Rendezvous can be used as the transport between the Hawk Microagent and Hawk Agent and also between the Hawk Agent and Hawk Console applications. Configure the -rvd_session parameter in the configuration files to enable the TIBCO Rendezvous as transport. Comment this option, or let it be ..."},"116":{y:0,u:"../install-config/configuring_hawk_components_1.htm",l:-1,t:"TCP Transport for TIBCO Hawk",i:0.000747749101636894,a:"TCP Transport for TIBCO Hawk is a TCP based transport for Hawk components using the Akka clustering designs. For more information about architecture of the TCP Transport for TIBCO Hawk, refer to the TIBCO Hawk Concepts Guide. To setup the TCP Transport for TIBCO Hawk for Hawk components, you must ..."},"117":{y:0,u:"../install-config/SSL_Configurations_for_.htm",l:-1,t:"SSL Configurations for TCP Transport for TIBCO Hawk",i:0.000639100963419458,a:"To create a secure communication channel between Hawk components, you can configure TCP transport for TIBCO Hawk to use two-way SSL authentication.  You must configure the following SSL parameters for TCP Transport for TIBCO Hawk in each component of TCP Transport Cluster for the secure ..."},"118":{y:0,u:"../install-config/TIBCO_Enterprise_Message_Service__EM.htm",l:-1,t:"TIBCO Enterprise Message Service (EMS) Transport",i:0.00498249530658173,a:"This section describes configuration options for connecting to TIBCO EMS server as transport for TIBCO Hawk components. Comment this option if you are using TCP Transport for TIBCO Hawk or TIBCO Rendezvous as the primary transport. The two ways to specify the TIBCO EMS transport parameters are: ..."},"119":{y:0,u:"../install-config/Starting_TIBCO_Hawk_Components.htm",l:-1,t:"Starting TIBCO Hawk Components",i:0.000639100963419458,a:"A standalone TIBCO Hawk installation does not need any changes in any of the configuration files for you to execute TIBCO Hawk and its components using TCP Transport for TIBCO Hawk as the default transport. However, if you want to use different or existing transport (TIBCO Rendezvous or TIBCO EMS) ..."},"120":{y:0,u:"../install-config/Hawk_Domain.htm",l:-1,t:"Hawk Domain",i:0.00275363260074546,a:"A Hawk domain is a logical grouping of Hawk Components. The Hawk Agent, the Console API and the AMI instrumented applications can all communicate with each other only if they all belong to the same hawk domain. A hawk domain constitutes of a transport and a domain name. Some components may have ..."},"121":{y:0,u:"../install-config/Hawk_Agent_Configurations.htm",l:-1,t:"Hawk Agent Configurations",i:0.0013146338982046,a:"All the required configuration parameters are stored in HAWK_HOME/bin/hawkagent.cfg. Each section in this configuration file begins with “-M” followed by the module name, such as –M Self. Within each modular section, all the command-line options that can be configured are listed. These options are ..."},"122":{y:0,u:"../install-config/Logging_for_TIBCO_Hawk_Agent.htm",l:-1,t:"Logging for TIBCO Hawk Agent",i:0.000639100963419458,a:"Logging for TIBCO Hawk Agent TIBCO Hawk provides two different modes of logging: trace mode and log4j mode."},"123":{y:0,u:"../install-config/Trace_Logging_Mode.htm",l:-1,t:"Trace Logging Mode",i:0.000639100963419458,a:"By default, Hawk Agent uses the trace mode for logging requirements. TIBCO Hawk, uses the trace mode logging mechanism to match parity with different versions of Hawk, bundled in different TIBCO products. The logging parameters for Hawk Agent, Hawk MicroAgent, and Hawk Event are configured using the ..."},"124":{y:0,u:"../install-config/Log4j_Logging_Mode.htm",l:-1,t:"Log4j Logging Mode",i:0.000639100963419458,a:"In TIBCO Hawk, you can enable the log4j mode for Hawk Agent logging requirements. By default, the log4j mode is disabled for Hawk Agent. Modify the log4j configuration in the respective .tra files to enable the log4j for logging. The configuration for Hawk Agent is included in tibhawkagent.tra at: ..."},"125":{y:0,u:"../install-config/Hawk__Configurations.htm",l:-1,t:"Hawk Cluster Manager Configurations",i:0.00139738885455703,a:"All the required configuration parameters are stored in CONFIG_FOLDER/hawk/bin/hawktcpdaemon.cfg. Each section in this configuration file begins with “-M” followed by the module name, such as –M Self. Within each modular section, all the command-line options that can be configured are listed. These ..."},"126":{y:0,u:"../install-config/Hawk_Console_Configurations.htm",l:-1,t:"Hawk Console Configurations",i:0.00113355366784221,a:"All the required configuration parameters for Hawk Console are stored in the hawkconsole.cfg configuration file located at HAWK_HOME/bin.  For more information about the configurations that you can perform in Hawk Console, see the following topics: Domain and Transport Configuration for Hawk Console ..."},"127":{y:0,u:"../install-config/Domain_and_Transport_Configuration_f.htm",l:-1,t:"Domain and Transport Configuration for Hawk Console",i:0.00392665678675382,a:"You can register a Hawk domain to the Hawk Console and specify the transport type for the communication. You can either use web interface of Hawk Console or configure the domain and transport configuration file (DomainTransportConfig.yml). For information about how to register a domain to Hawk ..."},"128":{y:0,u:"../install-config/Domain_Registration_by_Using_Configu.htm",l:-1,t:"Domain Registration by Using Configuration File",i:0.00111148870109541,a:"The domain and transport configuration file (DomainTransportConfig.yml) for Hawk Console contains the parameters to connect to regular and proxy domains. For more information about proxy domains, see TIBCO Hawk Concepts Guide. You can specify the location of the DomainTransportConfig.yml file by ..."},"129":{y:0,u:"../install-config/User_Authentication_in_Hawk_Console.htm",l:-1,t:"User Authentication in Hawk Console",i:0.000831806984023762,a:"User Authentication in Hawk Console Hawk Console supports user authentication based on a file, a database, and LDAP-based authentications. You can set the authentication mode by using the Hawk Console configuration file (hawkconsole.cfg). "},"130":{y:0,u:"../install-config/File_Based_Authentication.htm",l:-1,t:"File-Based Authentication",i:0.000639100963419458,a:"For the file-based authentication, the user details are stored in the hawkconsole-user.cfg file. By default, the configuration file is located at \u003cCONFIG_HOME\u003e/bin. If required, you can configure its location by using the -user_file_store option in the hawkconsole.cfg file.  The syntax for a user ..."},"131":{y:0,u:"../install-config/Database_Based_Authentication.htm",l:-1,t:"Database-Based Authentication",i:0.000639100963419458,a:"In the database based authentication, the user names and passwords are stored in the database. Hawk Console supports both in memory database and external database to store authentication details. For more information about configuring an external database in Hawk Console, see  Configuring an ..."},"132":{y:0,u:"../install-config/LDAP_Based_Authentication.htm",l:-1,t:"LDAP-Based Authentication",i:0.000639100963419458,a:"For the LDAP-based authentication, the user details are stored in the hawkconsole.cfg file. By default, the configuration file is located at \u003cCONFIG_HOME\u003e/bin.  For selecting LDAP as the user store, modify the hawkconsole.cfg file as follows: Under -M UserAuth, specify LDAP as the user store type:  ..."},"133":{y:0,u:"../install-config/Secure_Communication_over_Hawk_Conso.htm",l:-1,t:"Secure Communication over Hawk Console",i:0.000831806984023762,a:"You can access Hawk Console over a secure channel by using SSL or TLS security protocols. To enable the secure communication, uncomment and configure the following fields in the Hawk Console configuration file (hawkconsole.cfg): -key_alias -key_password -key_store -key_store_password -protocol ..."},"134":{y:0,u:"../install-config/Configuring_an_External_Database.htm",l:-1,t:"Configuring an External Database",i:0.00137504767511094,a:"Hawk alerts can be persisted by configuring an external database to store the alerts. If Hawk Console is restarted then also you can view the previous alerts since when the Hawk Agent is active. Following databases are supported in this release: MySQL  Apache Ignite H2 database in server and disc ..."},"135":{y:0,u:"../install-config/Prerequisites_.htm",l:-1,t:"Prerequisites:",i:0.000639100963419458,a:"Prerequisites: You must set up the database and perform database-specific configuration depending on the database vendor. Add the appropriate .jar file of the JDBC Driver classes, from the database vendor, to the folder HAWK_HOME/\u003cversion\u003e/lib/ext/console-ext."},"136":{y:0,u:"../install-config/Procedure_.htm",l:-1,t:"Procedure:",i:0.000639100963419458,a:"To configure the external database, uncomment and configure the following fields in the Hawk Console configuration file (hawkconsole.cfg). By default the configuration file is located at \u003cCONFIG_HOME\u003e/bin. -datasource_url -datasource_drivername -datasource_username -datasource_password ..."},"137":{y:0,u:"../install-config/Hawk_Console_Modules_and_Configurati.htm",l:-1,t:"Hawk Console Modules and Configuration Options ",i:0.00364095956237743,a:" Each section in this configuration file (HAWK_HOME/bin/hawkconsole.cfg) begins with “-M” followed by the module name, such as –M Self. Within each modular section, all the command-line options that can be configured are listed. These options are as follows: Each of the parameters listed above are ..."},"138":{y:0,u:"../install-config/HMA_Configurations.htm",l:-1,t:"HMA Configurations",i:0.00100643514501174,a:"All the required configuration parameters are stored in CONFIG_FOLDER/bin/hawkhma.cfg. The following table describes various HMA configuration properties in easy-to-understand logical groups. The various groups are as follows: Each of the parameters listed above are explained in more detail, in the ..."},"139":{y:0,u:"../install-config/Logging_for_HMA.htm",l:-1,t:"Logging for HMA",i:0.000639100963419458,a:"The TIBCO Hawk HMA process creates log files for each MicroAgent, such as Hawk_Process.log. The HMA process also creates a Hawk_HMA.log file for MicroAgent-generic errors. To see console logs on command console, add \"-console\" argument as one of the application arguments in the file tibhawkhma.tra. ..."},"140":{y:0,u:"../install-config/Hawk_Event_Service_Configurations.htm",l:-1,t:"Hawk Event Service Configurations",i:0.00113355366784221,a:"The Hawk Event Service records:  All alerts raised and cleared by TIBCO Hawk Agents across the network, as well as the changes in Agent’s alert level Record events reported by agents in text files or relational databases using JDBC  Asynchronously notify using AMI Refer to the TIBCO Hawk Concepts ..."},"141":{y:0,u:"../install-config/Hawk_Display_Configurations.htm",l:-1,t:"Hawk Display Configurations",i:0.000952473437479815,a:"All the required configuration parameters are stored in CONFIG_FOLDER/bin/hawkdisplay.cfg. The following table describes various Hawk Display related configuration properties in easy-to-understand logical groups. The\t various groups are as follows: Each of the parameters listed above are explained ..."},"142":{y:0,u:"../install-config/Configuring_the_Rulebase_Repository.htm",l:-1,t:"Configuring the Rulebase Repository",i:0.000639100963419458,a:"This section describes TIBCO Hawk configuration modes and how configuration objects such as schedules and rulebases are managed. It also explains how to work with configuration objects in a Repository. For more information about RuleBase, refer to TIBCO Hawk Concepts Guide. The rulebase repository ..."},"143":{y:0,u:"../install-config/Choosing_a_Configuration_Mode.htm",l:-1,t:"Choosing a Configuration Mode",i:0.000639100963419458,a:"On your network, configuration objects such as schedules and rulebases are retrieved using either manual or automatic configuration. The mode you choose might depend on the number of TIBCO Hawk agents running on your network, and the number and complexity of configuration objects. With automatic ..."},"144":{y:0,u:"../install-config/Using_Automatic_Configuration.htm",l:-1,t:"Using Automatic Configuration",i:0.000639100963419458,a:"Automatic Configuration is the default mode for storing configuration objects. In Automatic Configuration mode, the configuration source is a single directory specified in the -auto_config_dir startup option. The agent locates the automatic configuration directory at startup and loads schedules ..."},});